First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 24211
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Tavis Ormandy (RETIRED) <taviso@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: splite <splite-gentoo@sigint.cs.purdue.edu>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 24211 depends on: Show dependency tree
Bug 24211 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2003-07-09 19:14 0000
libtermcap-compat installs its files with bin:bin ownership instead of
root:root.  Here's an ebuild patch:

diff -u libtermcap-compat-1.2.3.ebuild.orig libtermcap-compat-1.2.3.ebuild
--- libtermcap-compat-1.2.3.ebuild.orig 2003-06-22 00:21:47.000000000 -0500
+++ libtermcap-compat-1.2.3.ebuild      2003-07-09 21:03:19.000000000 -0500
@@ -27,7 +27,7 @@
 
 src_install () {
        dodir /lib /include /usr/lib
-       make prefix="${D}" install || die
+       make OWNER=root:root prefix="${D}" install || die
 
        # Conflicts with ncurses.
        rm -rf ${D}/include


Reproducible: Always
Steps to Reproduce:
1.
2.
3.

------- Comment #1 From Tavis Ormandy (RETIRED) 2003-09-06 05:45:38 0000 -------
Assigning to me...

------- Comment #2 From Tavis Ormandy (RETIRED) 2003-09-06 07:17:24 0000 -------
Thanks for the fix, libtermcap-compat-1.2.3-r1 committed.

First Last Prev Next    No search results available      Search page      Enter new bug